require 'fund_raise/project'
require 'fund_raise/die'

module FundRaise
describe Project do
  
  before do
    $stdout = StringIO.new
    @initial_funding = 150
    @target = 3000
    @project = Project.new("Project LMN", @target, @initial_funding)
  end    
  
  it "has an initial default funding of 0" do
    @project = Project.new("Project LMN", @target)
    
#    @project.current_funding.should == 0
    expect(@project.current_funding).to eq(0)
  end
  
  it "increased funds by 25 when funds are added" do  
    @project.add_funds
#    @project.current_funding.should == @initial_funding + 25
    expect(@project.current_funding).to eq(@initial_funding + 25)
  end
  
  it "decreased funds by 15 when funds are removed" do  
    @project.remove_funds
#    @project.current_funding.should == @initial_funding - 15
    expect(@project.current_funding).to eq(@initial_funding - 15)
  end
  
  it "increased funds and show funding outstanding" do  
    @project.add_funds(50)
#    @project.funding_left.should == @initial_funding + 50
    expect(@project.funding_left).to eq(@target - (@initial_funding + 50))
  end
  
  it "is fully funded" do  
    @project.add_funds(@target)
    expect(@project.fully_funded?).to be true
  end

  it "is fully funded" do  
    @project.remove_funds(@initial_funding)
    @project.add_funds(@target)
    expect(@project.fully_funded?).to be true
  end
  
  it "is not fully funded" do  
    @project.remove_funds(@initial_funding)
    @project.add_funds(@target-1)
    expect(@project.fully_funded?).to be false
  end
  
end
end